<template>
  <div>
    <template v-if="isMobile"
      ><record-list-mobile
        @reload="reload"
        :loading="loading"
        :records="records"
        :type="type"
    /></template>
    <template v-if="!isMobile"
      ><record-list-desktop
        @reload="reload"
        :loading="loading"
        :records="records"
        :type="type"
    /></template>
  </div>
</template>

<script>
import { mapState } from "vuex";
import RecordItem from "./RecordItem";
import RecordListMobile from "./RecordListMobile";
import RecordListDesktop from "./RecordListDesktop";

export default {
  components: {
    RecordListMobile,
    RecordListDesktop
  },

  props: {
    loading: {
      type: Boolean,
      default: false
    },
    records: {
      type: Array,
      default: () => []
    },
    type: {
      type: String,
      default: ""
    }
  },

  methods: {
    reload() {
      this.$emit("reload");
    }
  },

  computed: {
    ...mapState(["isMobile"])
  }
};
</script>

<style lang="scss" scoped></style>
